package kr.co.uplus.ez.api.sendNumMgt.dto;

import kr.co.uplus.ez.common.data.ApiResponseCode;
import kr.co.uplus.ez.common.data.ResponseMessage;
import lombok.Data;

import java.io.Serializable;

@SuppressWarnings("serial")
@Data
public class SendNumberApprListResDto extends ResponseMessage implements Serializable{

	// 데이터.
	private SendNumberApprListRes data;

	public SendNumberApprListResDto() {
		this.retCode = ApiResponseCode.SUCCESS.getResultCode();
		this.retMsg = ApiResponseCode.SUCCESS.getResultMsg();
	}

	public SendNumberApprListResDto(ApiResponseCode returnStr) {
		this.retCode = returnStr.getResultCode();
		this.retMsg = returnStr.getResultMsg();
	}

	public SendNumberApprListResDto(ApiResponseCode returnStr, SendNumberApprListRes data) {
		this.retCode = returnStr.getResultCode();
		this.retMsg = returnStr.getResultMsg();
		this.data = data;
	}
}
